Geo::GoogleEarth::Pluggable::LookAt(3pm)

NAME
Geo::GoogleEarth::Pluggable::LookAt - Geo::GoogleEarth::Pluggable LookAt package

SYNOPSIS
  my $lookat=$document->LookAt(
                               latitude  => 38.1741527,
                               longitude => -96.7839388,
                               range     => 3525808,
                               heading   => 0,
                               tilt      => 0,
                              );

Assign LookAt during construction

  my $folder=$document->Folder(name=>"MyLook", lookat=>$lookat);
  my $point=$folder->Point(lat=>$lat, lon=>$lon, lookat=>$lookat);

Assign LookAt afer construction

  $document->lookat($lookat);
  $folder->lookat($lookat);
  $point->lookat($lookat);

Do it all at one time

  my $point=$folder->Point(lat    => $lat,
                           lon    => $lon,
                           lookat => $document->LookAt(%data));

DESCRIPTION
Provides a way to configure a LookAt for all Folders and Placemarks.

USAGE

CONSTRUCTOR
All Folder objects have a LookAt constructor.

  my $object=$document->LookAt(%data);
  my $object=$folder->LookAt(%data);

  new

  type
Returns the object type.

  my $type=$lookat->type;

  latitude

  longitude

  range

  tilt

  heading

  node
Returns the XML::LibXML::LazyBuilder element for the LookAt object.

BUGS
Please log on RT and send to the geo-perl email list.

SUPPORT
DavisNetworks.com supports all Perl applications including this package.

AUTHOR
  Michael R. Davis (mrdvt92)
  CPAN ID: MRDVT

COPYRIGHT
This program is free software licensed under the...

  The BSD License

The full text of the license can be found in the LICENSE file included with this module.

SEE ALSO
Geo::GoogleEarth::Pluggable creates a GoogleEarth Document.